
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #535

No sound with 36 kHz Ogg Vorbis file and enabled equalizer

April 25, 2015 00:27 - Thomas Lange

Status: Closed Start date: April 25, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.6.2   

Affects version: 3.6.1   

Description

As soon as the equalizer is enabled, there is no sound although the file itself is played usually.

An example file is attached. I have tested 3.5, 3.6 and 3.7-devel, they all show the same behavior.

History

#1 - April 25, 2015 19:04 - John Lindgren

Once again I am wishing I knew more about digital filters.  There is some code that disables the higher frequency IIR filters for lower-rate audio to

avoid this very problem, if I understand it correctly.  Perhaps it is not quite right.  I mean this bit of code in equalizer.cc:

    /* Calculate number of active filters */

    K = AUD_EQ_NBANDS;

    while (CF[K - 1] > (float) rate / 2.2)

        K --;

#2 - May 16, 2015 20:16 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.6.2

- % Done changed from 0 to 100

#3 - May 17, 2015 02:39 - Thomas Lange

Thanks for the fix. :)

Files

15 - Metro Riots - Thee Small Faces.ogg 3.46 MB April 25, 2015 Thomas Lange
